Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Create a label

Create a new label in the workspace

POST/labels
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Request body
requiredapplication/json
namestringrequired
min length 1
colorstringrequired
Allowed:yellowpurpleorangeredbrowngreen
Responses
200

Label created

idstring<uuid>
namestring
colorstring

Hex color code

backgroundColorstring

Hex background color code

createdAtstring<date-time>
updatedAtstring<date-time>
400

Bad Request - Invalid input parameters

codestring
messagestring
dataobject
Show properties
errorsobject
401

Unauthorized - Missing or invalid API key

codestring
messagestring
409

Conflict - Resource already exists

codestring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.tryordinal.com/api/v1/labels' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Engineering",
  "color": "green"
}'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440402",
  "name": "Engineering",
  "color": "#16a34a",
  "backgroundColor": "#dcfce7",
  "createdAt": "2026-01-05T10:30:00.000Z",
  "updatedAt": "2026-01-05T10:30:00.000Z"
}